Package org.h2gis.functions.spatial.predicates

# Class ST_EnvelopesIntersect

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.predicates.ST_EnvelopesIntersect

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_EnvelopesIntersect extends org.h2gis.api.DeterministicScalarFunction
Return true if the envelope of Geometry A intersects the envelope of Geometry B.

Author:
  Nicolas Fortin

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_EnvelopesIntersect()`
Default constructor

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static Boolean`
`intersects(org.locationtech.jts.geom.Geometry surface, org.locationtech.jts.geom.Geometry testGeometry)`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_EnvelopesIntersect

public ST_EnvelopesIntersect()
Default constructor

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### intersects

public static Boolean intersects(org.locationtech.jts.geom.Geometry surface, org.locationtech.jts.geom.Geometry testGeometry) throws SQLException

Parameters:
  `surface` - Surface Geometry.
  `testGeometry` - Geometry instance
Returns:
  true if the envelope of Geometry A intersects the envelope of Geometry B
Throws:
  `SQLException`